#326 confusion about HTML versions

closed-fixed
5
2003-03-19
2003-02-05
Piotr Banski
No

In my errors file, I can see the following:

line 124 column 1 - Warning: Attribute "target" not
supported in HTML 3.2
line 210 column 17 - Warning: Attribute "id" not
supported in HTML 3.2
Info: Document content looks like HTML 4.01 Transitional
109 warnings, 0 errors were found!

See? 3.2 vs. 4.01 Transitional -- Tidy looks a bit
confused to me...

I don't know the HTML 3.2 DTD but here's a couple of
messages that might refer to a post-3.2 stage (I'm not
sure; in HTML 3.2 times my pages were very simple :-) ).

Warning: <table> lacks "summary" attribute
Warning: inserting "type" attribute for <script> element
Warning: <img> attribute "align" has invalid value "center"

Discussion

    • assigned_to: nobody --> creitzel
     
    • milestone: --> Current - all platforms
    • status: open --> closed-fixed
     
  • Logged In: YES
    user_id=101393

    Moved test for "summary" attribute on tables to
    HTMLVersionCompliance() in clean.c where the current/wanted
    version is better known.

    Other messages are by design. In the absence of a DOCTYPE
    statement, --doctype option or -asxhtml option, Tidy must assume
    the LCD of HTML, which is HTML 3.2 (up from 2.0).